aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-06-05 22:45:46 -0700
committerXiao Pan <gky44px1999@gmail.com>2024-06-05 22:45:46 -0700
commit71c276d1225bf9909b5e6d15e2437cb6d7d06a56 (patch)
treea6b6a11dbc03203af1c37145be87b3509136aece /sh
parentab8f8183a9236e041c9ed1602812e1ac88e21d63 (diff)
archive dyafk related, dyafk useless, not count as watch time
Diffstat (limited to 'sh')
-rwxr-xr-xsh/dyafk27
1 files changed, 27 insertions, 0 deletions
diff --git a/sh/dyafk b/sh/dyafk
new file mode 100755
index 0000000..caf1c66
--- /dev/null
+++ b/sh/dyafk
@@ -0,0 +1,27 @@
+#!/bin/sh
+# DouYu AFK
+
+# maybe another way: https://open.douyu.com/source
+
+pid=
+while :; do
+ # credit: MIT licensed https://github.com/DIYgod/RSSHub/blob/master/lib/routes/douyu/room.ts
+ if [ "$(curl -s https://www.douyu.com/betard/9640128 | jq '.room.show_status')" -eq 1 ]; then
+ if ! pidof -q firefox; then
+ firefox --headless --profile "$HOME/.mozilla/firefox/dyafk" https://www.douyu.com/9640128 &
+ # assign previous background process to pid variable
+ pid=$!
+ fi
+ else
+ if [ "$pid" ]; then
+ # seems need to only SIGTERM kill the parent firefox process, else firefox will prompt me firefox closed unexpectedly warning which cause firefox not actually open the url
+ # https://www.reddit.com/r/firefox/comments/fq1mhi/kill_firefox_gracefully_via_terminal_headless/
+ # firefox seems now can handle SIGTERM on linux? https://bugzilla.mozilla.org/show_bug.cgi?id=1837907
+ kill "$pid"
+ pid=
+ fi
+ fi
+ # open.douyu.com AUP for api request seems very high, about 6k/min per api? see https://open.douyu.com/source/api/5
+ # although I don't use open.douyu.com api but can be used as a reference, so I think 1 request per minute is ok
+ sleep 60
+done